<?xml version="1.0" encoding="UTF-8"?>
<!--
    * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
    * Copyright (C) 2004-2007 - INRIA - Vincent COUVERT 
    * 
    * This file must be used under the terms of the CeCILL.
    * This source file is licensed as described in the file COPYING, which
    * you should have received as part of this distribution.  The terms
    * are also available at    
    * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
    *
    -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="mtlb_num2str">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>mtlb_num2str</refname>
    <refpurpose>Matlab num2str emulation function</refpurpose>
  </refnamediv>
  <refsection>
    <title>Description</title>
    <para>Matlab <literal>num2str</literal> and Scilab equivalents (<literal>string</literal>, <literal>msprintf</literal>) behave differently in some particular cases:</para>
    <itemizedlist>
      <listitem>
        <para>
        With two input parameters, the second giving precision: There is no Scilab equivalent function, but
	<literal>msprintf</literal> can be used to emulate.
        </para>
      </listitem>
      <listitem>
        <para>
        With two input parameters, the second giving format: Scilab equivalent for Matlab 
	<literal>num2string(a,format)</literal> is <literal>msprintf(format,a)</literal>.
        </para>
      </listitem>
    </itemizedlist>
    <para>
    The function <literal>mtlb_num2str(x,f)</literal> is used by
    <literal>mfile2sci</literal> to replace <literal>num2str(x,f)</literal> when it was not
    possible to know what were the inputs while porting Matlab code to Scilab. This function will
    determine the correct semantic at run time. If you want to have a
    more efficient code it is possible to replace <literal>mtlb_num2str</literal> calls:
    </para>
    <itemizedlist>
      <listitem>
        <para>
        If <literal>f</literal> is a character string
        <literal>mtlb_num2str(x,f)</literal> may be replaced by <literal>msprintf(f,x)</literal>
        </para>
      </listitem>
    </itemizedlist>
    <para>Caution: <literal>mtlb_num2str</literal> has not to be used for hand coded functions.</para>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="string">string</link>
      </member>
      <member>
        <link linkend="msprintf">msprintf</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Authors</title>
    <simplelist type="vert">
      <member>V.C.</member>
    </simplelist>
  </refsection>
</refentry>
